// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: emulated_bluetooth_device.proto

package com.android.emulator.bluetooth;

/**
 * <pre>
 * A UUID is a universally unique identifier that is guaranteed to be unique
 * across all space and all time. UUIDs can be independently created in a
 * distributed fashion. No central registry of assigned UUIDs is required. A
 * UUID is a 128-bit value.
 *
 * To reduce the burden of storing and transferring 128-bit UUID values, a range
 * of UUID values has been pre-allocated for assignment to often-used,
 * registered purposes.
 *
 * The first UUID in this pre-allocated range is known as
 * the Bluetooth Base UUID and has the value 00000000-0000-1000-8000-
 * 00805F9B34FB, from Assigned Numbers. UUID values in the pre-allocated
 * range have aliases that are represented as 16-bit or 32-bit values.
 *
 * These aliases are often called 16-bit and 32-bit UUIDs, but each actually
 * represents a 128-bit UUID value.
 *
 * The full 128-bit value of a 16-bit or 32-bit
 * UUID may be computed by a simple arithmetic operation:
 *
 * 128_bit_value = 16_bit_value * 2^96 + Bluetooth_Base_UUID
 * 128_bit_value = 32_bit_value * 2^96 + Bluetooth_Base_UUID
 *
 * A 16-bit UUID may be converted to 32-bit UUID format by zero-extending the
 * 16-bit value to 32-bits. An equivalent method is to add the 16-bit UUID value
 * to a zero-valued 32-bit UUID.
 *
 * Note: Two 16-bit UUIDs may be compared
 * directly, as may two 32-bit UUIDs or two 128-bit UUIDs. If two UUIDs of
 * differing sizes are to be compared, the shorter UUID must be converted to the
 * longer UUID format before comparison.
 * </pre>
 *
 * Protobuf type {@code android.emulation.bluetooth.Uuid}
 */
public final class Uuid extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:android.emulation.bluetooth.Uuid)
    UuidOrBuilder {
private static final long serialVersionUID = 0L;
  // Use Uuid.newBuilder() to construct.
  private Uuid(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private Uuid() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new Uuid();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return com.android.emulator.bluetooth.EmulatedBluetoothDevice.internal_static_android_emulation_bluetooth_Uuid_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return com.android.emulator.bluetooth.EmulatedBluetoothDevice.internal_static_android_emulation_bluetooth_Uuid_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            com.android.emulator.bluetooth.Uuid.class, com.android.emulator.bluetooth.Uuid.Builder.class);
  }

  private int shortOrLongCase_ = 0;
  @SuppressWarnings("serial")
  private java.lang.Object shortOrLong_;
  public enum ShortOrLongCase
      implements com.google.protobuf.Internal.EnumLite,
          com.google.protobuf.AbstractMessage.InternalOneOfEnum {
    ID(1),
    LSB(2),
    SHORTORLONG_NOT_SET(0);
    private final int value;
    private ShortOrLongCase(int value) {
      this.value = value;
    }
    /**
     * @param value The number of the enum to look for.
     * @return The enum associated with the given number.
     * @deprecated Use {@link #forNumber(int)} instead.
     */
    @java.lang.Deprecated
    public static ShortOrLongCase valueOf(int value) {
      return forNumber(value);
    }

    public static ShortOrLongCase forNumber(int value) {
      switch (value) {
        case 1: return ID;
        case 2: return LSB;
        case 0: return SHORTORLONG_NOT_SET;
        default: return null;
      }
    }
    public int getNumber() {
      return this.value;
    }
  };

  public ShortOrLongCase
  getShortOrLongCase() {
    return ShortOrLongCase.forNumber(
        shortOrLongCase_);
  }

  public static final int ID_FIELD_NUMBER = 1;
  /**
   * <pre>
   * The shortened bluetooth uuid, either 16/32 bit.
   * </pre>
   *
   * <code>uint32 id = 1;</code>
   * @return Whether the id field is set.
   */
  @java.lang.Override
  public boolean hasId() {
    return shortOrLongCase_ == 1;
  }
  /**
   * <pre>
   * The shortened bluetooth uuid, either 16/32 bit.
   * </pre>
   *
   * <code>uint32 id = 1;</code>
   * @return The id.
   */
  @java.lang.Override
  public int getId() {
    if (shortOrLongCase_ == 1) {
      return (java.lang.Integer) shortOrLong_;
    }
    return 0;
  }

  public static final int LSB_FIELD_NUMBER = 2;
  /**
   * <pre>
   * The first 8 hex digits of the guid, if you are using
   * 128 bit guid.  These are the least significant bits.
   * </pre>
   *
   * <code>uint64 lsb = 2;</code>
   * @return Whether the lsb field is set.
   */
  @java.lang.Override
  public boolean hasLsb() {
    return shortOrLongCase_ == 2;
  }
  /**
   * <pre>
   * The first 8 hex digits of the guid, if you are using
   * 128 bit guid.  These are the least significant bits.
   * </pre>
   *
   * <code>uint64 lsb = 2;</code>
   * @return The lsb.
   */
  @java.lang.Override
  public long getLsb() {
    if (shortOrLongCase_ == 2) {
      return (java.lang.Long) shortOrLong_;
    }
    return 0L;
  }

  public static final int MSB_FIELD_NUMBER = 3;
  private long msb_ = 0L;
  /**
   * <pre>
   * The next 8 hex digits of the guid, ignored if the lsb value is not set.
   * These are the most significant bits.
   * </pre>
   *
   * <code>int64 msb = 3;</code>
   * @return The msb.
   */
  @java.lang.Override
  public long getMsb() {
    return msb_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (shortOrLongCase_ == 1) {
      output.writeUInt32(
          1, (int)((java.lang.Integer) shortOrLong_));
    }
    if (shortOrLongCase_ == 2) {
      output.writeUInt64(
          2, (long)((java.lang.Long) shortOrLong_));
    }
    if (msb_ != 0L) {
      output.writeInt64(3, msb_);
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (shortOrLongCase_ == 1) {
      size += com.google.protobuf.CodedOutputStream
        .computeUInt32Size(
            1, (int)((java.lang.Integer) shortOrLong_));
    }
    if (shortOrLongCase_ == 2) {
      size += com.google.protobuf.CodedOutputStream
        .computeUInt64Size(
            2, (long)((java.lang.Long) shortOrLong_));
    }
    if (msb_ != 0L) {
      size += com.google.protobuf.CodedOutputStream
        .computeInt64Size(3, msb_);
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof com.android.emulator.bluetooth.Uuid)) {
      return super.equals(obj);
    }
    com.android.emulator.bluetooth.Uuid other = (com.android.emulator.bluetooth.Uuid) obj;

    if (getMsb()
        != other.getMsb()) return false;
    if (!getShortOrLongCase().equals(other.getShortOrLongCase())) return false;
    switch (shortOrLongCase_) {
      case 1:
        if (getId()
            != other.getId()) return false;
        break;
      case 2:
        if (getLsb()
            != other.getLsb()) return false;
        break;
      case 0:
      default:
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    hash = (37 * hash) + MSB_FIELD_NUMBER;
    hash = (53 * hash) + com.google.protobuf.Internal.hashLong(
        getMsb());
    switch (shortOrLongCase_) {
      case 1:
        hash = (37 * hash) + ID_FIELD_NUMBER;
        hash = (53 * hash) + getId();
        break;
      case 2:
        hash = (37 * hash) + LSB_FIELD_NUMBER;
        hash = (53 * hash) + com.google.protobuf.Internal.hashLong(
            getLsb());
        break;
      case 0:
      default:
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static com.android.emulator.bluetooth.Uuid parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.android.emulator.bluetooth.Uuid parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.android.emulator.bluetooth.Uuid parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.android.emulator.bluetooth.Uuid parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.android.emulator.bluetooth.Uuid parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.android.emulator.bluetooth.Uuid parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.android.emulator.bluetooth.Uuid parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static com.android.emulator.bluetooth.Uuid parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.android.emulator.bluetooth.Uuid parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static com.android.emulator.bluetooth.Uuid parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.android.emulator.bluetooth.Uuid parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static com.android.emulator.bluetooth.Uuid parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(com.android.emulator.bluetooth.Uuid prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * A UUID is a universally unique identifier that is guaranteed to be unique
   * across all space and all time. UUIDs can be independently created in a
   * distributed fashion. No central registry of assigned UUIDs is required. A
   * UUID is a 128-bit value.
   *
   * To reduce the burden of storing and transferring 128-bit UUID values, a range
   * of UUID values has been pre-allocated for assignment to often-used,
   * registered purposes.
   *
   * The first UUID in this pre-allocated range is known as
   * the Bluetooth Base UUID and has the value 00000000-0000-1000-8000-
   * 00805F9B34FB, from Assigned Numbers. UUID values in the pre-allocated
   * range have aliases that are represented as 16-bit or 32-bit values.
   *
   * These aliases are often called 16-bit and 32-bit UUIDs, but each actually
   * represents a 128-bit UUID value.
   *
   * The full 128-bit value of a 16-bit or 32-bit
   * UUID may be computed by a simple arithmetic operation:
   *
   * 128_bit_value = 16_bit_value * 2^96 + Bluetooth_Base_UUID
   * 128_bit_value = 32_bit_value * 2^96 + Bluetooth_Base_UUID
   *
   * A 16-bit UUID may be converted to 32-bit UUID format by zero-extending the
   * 16-bit value to 32-bits. An equivalent method is to add the 16-bit UUID value
   * to a zero-valued 32-bit UUID.
   *
   * Note: Two 16-bit UUIDs may be compared
   * directly, as may two 32-bit UUIDs or two 128-bit UUIDs. If two UUIDs of
   * differing sizes are to be compared, the shorter UUID must be converted to the
   * longer UUID format before comparison.
   * </pre>
   *
   * Protobuf type {@code android.emulation.bluetooth.Uuid}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:android.emulation.bluetooth.Uuid)
      com.android.emulator.bluetooth.UuidOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.android.emulator.bluetooth.EmulatedBluetoothDevice.internal_static_android_emulation_bluetooth_Uuid_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.android.emulator.bluetooth.EmulatedBluetoothDevice.internal_static_android_emulation_bluetooth_Uuid_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.android.emulator.bluetooth.Uuid.class, com.android.emulator.bluetooth.Uuid.Builder.class);
    }

    // Construct using com.android.emulator.bluetooth.Uuid.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      msb_ = 0L;
      shortOrLongCase_ = 0;
      shortOrLong_ = null;
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return com.android.emulator.bluetooth.EmulatedBluetoothDevice.internal_static_android_emulation_bluetooth_Uuid_descriptor;
    }

    @java.lang.Override
    public com.android.emulator.bluetooth.Uuid getDefaultInstanceForType() {
      return com.android.emulator.bluetooth.Uuid.getDefaultInstance();
    }

    @java.lang.Override
    public com.android.emulator.bluetooth.Uuid build() {
      com.android.emulator.bluetooth.Uuid result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public com.android.emulator.bluetooth.Uuid buildPartial() {
      com.android.emulator.bluetooth.Uuid result = new com.android.emulator.bluetooth.Uuid(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      buildPartialOneofs(result);
      onBuilt();
      return result;
    }

    private void buildPartial0(com.android.emulator.bluetooth.Uuid result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000004) != 0)) {
        result.msb_ = msb_;
      }
    }

    private void buildPartialOneofs(com.android.emulator.bluetooth.Uuid result) {
      result.shortOrLongCase_ = shortOrLongCase_;
      result.shortOrLong_ = this.shortOrLong_;
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof com.android.emulator.bluetooth.Uuid) {
        return mergeFrom((com.android.emulator.bluetooth.Uuid)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(com.android.emulator.bluetooth.Uuid other) {
      if (other == com.android.emulator.bluetooth.Uuid.getDefaultInstance()) return this;
      if (other.getMsb() != 0L) {
        setMsb(other.getMsb());
      }
      switch (other.getShortOrLongCase()) {
        case ID: {
          setId(other.getId());
          break;
        }
        case LSB: {
          setLsb(other.getLsb());
          break;
        }
        case SHORTORLONG_NOT_SET: {
          break;
        }
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {
              shortOrLong_ = input.readUInt32();
              shortOrLongCase_ = 1;
              break;
            } // case 8
            case 16: {
              shortOrLong_ = input.readUInt64();
              shortOrLongCase_ = 2;
              break;
            } // case 16
            case 24: {
              msb_ = input.readInt64();
              bitField0_ |= 0x00000004;
              break;
            } // case 24
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int shortOrLongCase_ = 0;
    private java.lang.Object shortOrLong_;
    public ShortOrLongCase
        getShortOrLongCase() {
      return ShortOrLongCase.forNumber(
          shortOrLongCase_);
    }

    public Builder clearShortOrLong() {
      shortOrLongCase_ = 0;
      shortOrLong_ = null;
      onChanged();
      return this;
    }

    private int bitField0_;

    /**
     * <pre>
     * The shortened bluetooth uuid, either 16/32 bit.
     * </pre>
     *
     * <code>uint32 id = 1;</code>
     * @return Whether the id field is set.
     */
    public boolean hasId() {
      return shortOrLongCase_ == 1;
    }
    /**
     * <pre>
     * The shortened bluetooth uuid, either 16/32 bit.
     * </pre>
     *
     * <code>uint32 id = 1;</code>
     * @return The id.
     */
    public int getId() {
      if (shortOrLongCase_ == 1) {
        return (java.lang.Integer) shortOrLong_;
      }
      return 0;
    }
    /**
     * <pre>
     * The shortened bluetooth uuid, either 16/32 bit.
     * </pre>
     *
     * <code>uint32 id = 1;</code>
     * @param value The id to set.
     * @return This builder for chaining.
     */
    public Builder setId(int value) {

      shortOrLongCase_ = 1;
      shortOrLong_ = value;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * The shortened bluetooth uuid, either 16/32 bit.
     * </pre>
     *
     * <code>uint32 id = 1;</code>
     * @return This builder for chaining.
     */
    public Builder clearId() {
      if (shortOrLongCase_ == 1) {
        shortOrLongCase_ = 0;
        shortOrLong_ = null;
        onChanged();
      }
      return this;
    }

    /**
     * <pre>
     * The first 8 hex digits of the guid, if you are using
     * 128 bit guid.  These are the least significant bits.
     * </pre>
     *
     * <code>uint64 lsb = 2;</code>
     * @return Whether the lsb field is set.
     */
    public boolean hasLsb() {
      return shortOrLongCase_ == 2;
    }
    /**
     * <pre>
     * The first 8 hex digits of the guid, if you are using
     * 128 bit guid.  These are the least significant bits.
     * </pre>
     *
     * <code>uint64 lsb = 2;</code>
     * @return The lsb.
     */
    public long getLsb() {
      if (shortOrLongCase_ == 2) {
        return (java.lang.Long) shortOrLong_;
      }
      return 0L;
    }
    /**
     * <pre>
     * The first 8 hex digits of the guid, if you are using
     * 128 bit guid.  These are the least significant bits.
     * </pre>
     *
     * <code>uint64 lsb = 2;</code>
     * @param value The lsb to set.
     * @return This builder for chaining.
     */
    public Builder setLsb(long value) {

      shortOrLongCase_ = 2;
      shortOrLong_ = value;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * The first 8 hex digits of the guid, if you are using
     * 128 bit guid.  These are the least significant bits.
     * </pre>
     *
     * <code>uint64 lsb = 2;</code>
     * @return This builder for chaining.
     */
    public Builder clearLsb() {
      if (shortOrLongCase_ == 2) {
        shortOrLongCase_ = 0;
        shortOrLong_ = null;
        onChanged();
      }
      return this;
    }

    private long msb_ ;
    /**
     * <pre>
     * The next 8 hex digits of the guid, ignored if the lsb value is not set.
     * These are the most significant bits.
     * </pre>
     *
     * <code>int64 msb = 3;</code>
     * @return The msb.
     */
    @java.lang.Override
    public long getMsb() {
      return msb_;
    }
    /**
     * <pre>
     * The next 8 hex digits of the guid, ignored if the lsb value is not set.
     * These are the most significant bits.
     * </pre>
     *
     * <code>int64 msb = 3;</code>
     * @param value The msb to set.
     * @return This builder for chaining.
     */
    public Builder setMsb(long value) {

      msb_ = value;
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * The next 8 hex digits of the guid, ignored if the lsb value is not set.
     * These are the most significant bits.
     * </pre>
     *
     * <code>int64 msb = 3;</code>
     * @return This builder for chaining.
     */
    public Builder clearMsb() {
      bitField0_ = (bitField0_ & ~0x00000004);
      msb_ = 0L;
      onChanged();
      return this;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:android.emulation.bluetooth.Uuid)
  }

  // @@protoc_insertion_point(class_scope:android.emulation.bluetooth.Uuid)
  private static final com.android.emulator.bluetooth.Uuid DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new com.android.emulator.bluetooth.Uuid();
  }

  public static com.android.emulator.bluetooth.Uuid getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<Uuid>
      PARSER = new com.google.protobuf.AbstractParser<Uuid>() {
    @java.lang.Override
    public Uuid parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<Uuid> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<Uuid> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public com.android.emulator.bluetooth.Uuid getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

